-- Title: Sarge's Anti-Duel
-- Desc: Automatically declines duels from anyone unless explicitly disabled.
-- Author: "Sergeant" K Odell Lutrova
-- Version: 1.1.4

SLASH_SRAD1, SLASH_SRAD2 = '/sr', '/ad';

SRAD_TOGGLE = true; -- Enabled by default.

function SlashCmdList.SRAD(msg, editbox)
	if not SRAD_TOGGLE then
		SRAD_TOGGLE = true
		print("|cFFFFFFFF[Anti-Duel]: Anti-Duel is now |cFF66FF66ON|cFFFFFFFF.");
	else 
		SRAD_TOGGLE = false;
		print("|cFFFFFFFF[Anti-Duel]: Anti-Duel is now |cFFFF6666OFF|cFFFFFFFF.");
	end
end

local SRAD = CreateFrame("FRAME", "DUEL");
SRAD:RegisterEvent("DUEL_REQUESTED");

local function duelEvent(self, event, challenger)
	if SRAD_TOGGLE then
		HideUIPanel(StaticPopup1);
		CancelDuel();
		print("|cFFFF6666[Anti-Duel]: |cFFFFFFFFDeclined a duel from |cFF99CCFF"..challenger.."|cFFFFFFFF.|r");
	end
end

SRAD:SetScript("OnEvent", duelEvent);

print("|cFFFFFFFF[Anti-Duel]: Anti-Duel is |cFF66FF66ON|cFFFFFFFF.");
print("|cFFFFFFFF[Anti-Duel]: Type |cFF99CCFF/sr |cFFFFFFFFor |cFF99CCFF/ad |cFFFFFFFFto toggle on and off.|r");